Bug 545235 - [abrt] crash detected in thunderbird-3.0-3.9.b4.fc12
[abrt] crash detected in thunderbird-3.0-3.9.b4.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:1bb8bffd3a5bb065f4977175000...
:
: 548736 548744 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-07 17:28 EST by Casimiro de Almeida Barreto
Modified: 2010-04-09 22:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 22:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (124.01 KB, text/plain)
2009-12-07 17:28 EST, Casimiro de Almeida Barreto
no flags Details

  None (edit)
Description Casimiro de Almeida Barreto 2009-12-07 17:28:08 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. Compose a message (enigmail enabled)
2. Never mind if signing/encrypting is enabled or disabled
3. Press <send>
4. Thunderbird crashes !!!

Comment
-----
Removing enigmail.xpi or simply disabling complement & restarting thunderbird removes crash condition.

Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0b4/thunderbird-bin
component: thunderbird
executable: /usr/lib/thunderbird-3.0b4/thunderbird-bin
kernel: 2.6.31.6-162.fc12.i686.PAE
package: thunderbird-3.0-3.9.b4.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Casimiro de Almeida Barreto 2009-12-07 17:28:13 EST
Created attachment 376797 [details]
File: backtrace
Comment 2 Matěj Cepl 2009-12-07 20:47:37 EST
#3  <signal handler called>
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.
#5  0x0159c68d in ?? ()
   from /usr/lib/thunderbird-3.0b4/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/platform/Linux_x86-gcc3/components/libenigmime-x86-gcc3.so
No symbol table info available.
#6  0x012533a3 in nsMsgComposeAndSend::Init (this=<value optimized out>, 
    aUserIdentity=<value optimized out>, aAccountKey=<value optimized out>, 
    fields=<value optimized out>, sendFile=<value optimized out>, 
    digest_p=<value optimized out>, dont_deliver_p=<value optimized out>, 
    mode=<value optimized out>, msgToReplace=<value optimized out>, 
    attachment1 [details]_type=<value optimized out>, 
    attachment1 [details]_body=<value optimized out>, 
    attachment1 [details]_body_length=<value optimized out>, 
    attachments=<value optimized out>, 
    preloaded_attachments=<value optimized out>, 
    password=<value optimized out>, aOriginalMsgURI=<value optimized out>, 
    aType=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-central/mailnews/compose/src/nsMsgSend.cpp:3400
        requiresEncryptionWork = 0
        rv = 0
        msg = {<nsAString_internal> = {mData = 0xb6f98f60, mLength = 36, 
            mFlags = 9}, <No data fields>}
        strictly_mime = 0
        pPrefBranch = {<nsCOMPtr_base> = {mRawPtr = 
    0xb6f6e618}, <No data fields>}
        secureCompose = {<nsCOMPtr_base> = {mRawPtr = 
    0x9ff1cf60}, <No data fields>}
#7  0x012536b6 in nsMsgComposeAndSend::CreateAndSendMessage (
    this=<value optimized out>, aEditor=<value optimized out>, 
    aUserIdentity=<value optimized out>, aAccountKey=<value optimized out>, 
    fields=<value optimized out>, digest_p=<value optimized out>, 
    dont_deliver_p=<value optimized out>, mode=<value optimized out>, 
    msgToReplace=<value optimized out>, 
    attachment1 [details]_type=<value optimized out>, attachment1 [details]_body=0x0, 
    attachment1 [details]_body_length=<value optimized out>, 
    attachments=<value optimized out>, 
    preloaded_attachments=<value optimized out>, 
    relatedPart=<value optimized out>, parentWindow=<value optimized out>, 
    progress=<value optimized out>, aListener=<value optimized out>, 
    password=<value optimized out>, aOriginalMsgURI=<value optimized out>, 
    aType=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-central/mailnews/compose/src/nsMsgSend.cpp:4290
        rv = <value optimized out>
#8  0x0127d269 in nsMsgCompose::_SendMsg (this=<value optimized out>, 
    deliverMode=<value optimized out>, identity=<value optimized out>, 
    accountKey=<value optimized out>, 
    entityConversionDone=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-central/mailnews/compose/src/nsMsgCompose.cpp:1050
        sendListener = {<nsCOMPtr_base> = {mRawPtr = 
    0x9fed9944}, <No data fields>}
        newBody = <value optimized out>
        bodyString = 0x6a4000 ""
        attachment1 [details]_type = "text/html"
        composeSendListener = {<nsCOMPtr_base> = {mRawPtr = 
    0x9fed9940}, <No data fields>}
        fullName = {<nsAString_internal> = {mData = 0x9fed3588, mLength = 27, 
            mFlags = 5}, <No data fields>}
        email = {<nsACString_internal> = {mData = 
    0x9fed6408 "casimiro.barreto@gmail.com", mLength = 26, mFlags = 
    5}, <No data fields>}
        organization = {<nsAString_internal> = {mData = 0x6a4000, mLength = 
    0, mFlags = 1}, <No data fields>}
        sender = {<nsACString_internal> = {mData = 
    0x9fedd6c0 "Casimiro de Almeida Barreto <casimiro.barreto@gmail.com>", 
            mLength = 56, mFlags = 9}, <No data fields>}
        parser = {<nsCOMPtr_base> = {mRawPtr = 0xb6e882d0}, <No data fields>}
        rv = <value optimized out>
#9  0x0127ffcb in nsMsgCompose::SendMsg (this=<value optimized out>, 
    deliverMode=<value optimized out>, identity=<value optimized out>, 
    accountKey=<value optimized out>, aMsgWindow=<value optimized out>, 
    progress=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-central/mailnews/compose/src/nsMsgCompose.cpp:1247
        rv = 0
        entityConversionDone = <value optimized out>
        prompt = {<nsCOMPtr_base> = {mRawPtr = 0x9fec53a0}, <No data fields>}
        attachVCard = 0
#10 0x0068c563 in NS_InvokeByIndex_P ()
Comment 3 Matěj Cepl 2009-12-07 20:48:46 EST
Please, upgrade enigmail to the version at least 1.0. Lower versions are known to be crashy with the current TB.

Does it help?

Thank you for reporting the issue
Comment 4 Chris Campbell 2009-12-18 10:04:43 EST
*** Bug 548736 has been marked as a duplicate of this bug. ***
Comment 5 Chris Campbell 2009-12-18 10:04:54 EST
*** Bug 548744 has been marked as a duplicate of this bug. ***
Comment 6 ookmarc 2009-12-20 17:57:31 EST
(In reply to comment #3)
> Please, upgrade enigmail to the version at least 1.0. Lower versions are known
> to be crashy with the current TB.
> 
> Does it help?
> 
> Thank you for reporting the issue  

No help; Running thunderbird-enigmail-1.0.0-1.fc12.x86_64 and thunderbird-3.0-3.9.b4.fc12.x86_64 

Same issue, thunderbird crashes with a segfault.
Comment 7 Matěj Cepl 2010-02-26 07:27:09 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Chris Campbell 2010-04-09 22:04:18 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.